Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.seq
Class PositionResolver.MaximalResolver

    java.lang.Object
      org.biojavax.bio.seq.PositionResolver.MaximalResolver

All Implemented Interfaces:
  PositionResolver

Enclosing interface:
  PositionResolver

    public static class PositionResolver.MaximalResolver

extends Object
implements PositionResolver

The maximal resolver returns the base which provides the largest possible range.

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojavax.bio.seq.PositionResolver
`PositionResolver.AverageResolver, PositionResolver.MaximalResolver, PositionResolver.MinimalResolver`

Constructor Summary
`PositionResolver.MaximalResolver()`

Method Summary
`int` | `getMax(Position e)` Resolves the maximum possible base for this position. ALWAYS RETURNS e.getEnd()
`int` | `getMin(Position s)` Resolves the minimum possible base for this position. ALWAYS RETURNS s.getStart()

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PositionResolver.MaximalResolver

    public PositionResolver.MaximalResolver()

Method Detail

### getMin

    public int getMin(Position s)

  Resolves the minimum possible base for this position. ALWAYS RETURNS s.getStart()

  Specified by:
    `getMin` in interface `PositionResolver`
  Parameters:
    `s` - the position to resolve
  Returns:
    the minimum possible base this resolver can return.

### getMax

    public int getMax(Position e)

  Resolves the maximum possible base for this position. ALWAYS RETURNS e.getEnd()

  Specified by:
    `getMax` in interface `PositionResolver`
  Parameters:
    `e` - the position to resolve
  Returns:
    the maximum possible base this resolver can return.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD